import { UmbPropertyEditorDataSourceSearchExtensionRegistryDataSource } from './search.extension-registry.data-source.js';
import { UmbControllerBase } from '../../../../libs/class-api/index.js';
export class UmbPropertyEditorDataSourceSearchRepository extends UmbControllerBase {
    #dataSource;
    constructor(host) {
        super(host);
        this.#dataSource = new UmbPropertyEditorDataSourceSearchExtensionRegistryDataSource(this);
    }
    search(args) {
        return this.#dataSource.search(args);
    }
}
